Bug 467204 - Continuous popups of selinux "AVC denial, click icon to view"
Continuous popups of selinux "AVC denial, click icon to view"
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 07:09 EDT by Edwin Schepers
Modified: 2008-10-23 14:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 15:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edwin Schepers 2008-10-16 07:09:15 EDT
Description of problem:
I get continuous selinux popups with the message "AVC denial, click icon to view"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login with user A
2. Select from the menu "Change user" ( translated ) when logging out
3. From the login manager, login with user A
From now on the popups will appear
  

Additional info:
From the settroubleshoot browser :
Source Context:  system_u:system_r:xdm_t:s0-s0:c0.c1023Target Context:  system_u:object_r:file_t:s0Target Objects:  / [ dir ]Bron:  gdm-simple-greeSource Path:  /usr/libexec/gdm-simple-greeterPoort:  <Onbekend>Host:  brink14Source RPM Packages:  gdm-2.23.92-4.fc10Target RPM Packages:  filesystem-2.4.19-1.fc10Policy RPM:  selinux-policy-3.5.7-1.fc10SELinux aangezet:  TruePolicy Type:  targetedMLS aangezet:  TrueEnforcing Mode:  EnforcingPluginnaam:  fileHostnaam:  brink14Platform:  Linux brink14 2.6.27-0.352.rc7.git1.fc10.x86_64 #1 SMP Tue Sep 23 21:13:29 EDT 2008 x86_64 x86_64Aantal waarschuwingen:  2926Eerst gezien op:  do 02 okt 2008 13:04:25 CESTLaatst gezien op:  do 16 okt 2008 13:07:58 CESTLocal ID:  a03b1808-bfeb-4b94-9a7b-28f3918bfa65Regelnummers:  Raw Audit Messages :node=brink14 type=AVC msg=audit(1224155278.805:300): avc: denied { search } for pid=3661 comm="gdm-simple-gree" name="/" dev=sdc2 ino=2 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:file_t:s0 tclass=dir node=brink14 type=SYSCALL msg=audit(1224155278.805:300): arch=c000003e syscall=254 success=no exit=-13 a0=17 a1=10b7710 a2=1002fce a3=1 items=0 ppid=3572 pid=3661 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=4294967295 comm="gdm-simple-gree" exe="/usr/libexec/gdm-simple-greeter" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2008-10-16 15:38:58 EDT
This is a mislabled file system.

touch /.autorelabel; reboot

Some how you got files without labels on to your system.   Did you add a disk created on a non SELinux system.
Comment 2 Edwin Schepers 2008-10-21 15:13:06 EDT
Hi,
I previously used opensuse (without selinux I think) and my /home directory is on a separate disk. I always move the original /home and create a /home symbolic link to this other disk.
Comment 3 Daniel Walsh 2008-10-22 09:52:02 EDT
Why not mount the drive on directly on your homedir, and then fix the labeling?
Comment 4 Edwin Schepers 2008-10-23 13:43:03 EDT
Hi Daniel, on the drive I have multiple directories, not only /home. For me, this way of using the disk is more flexible.
What should be the way to add such a drive ? I think it's getting harder to set up a system for a novice user this way.
As a novice user (well, concerning selinux at least) I don't know about selinux.

Regards,
Edwin
Comment 5 Daniel Walsh 2008-10-23 14:52:48 EDT
Edwin, I would argue that a novice user would never setup multiple home directories, most likely they do not even know what a home directory is.  So you are clearly not a novice user.  :^)

What is your setup?  Usually you can just label your random home directory as user_home_t and everything should work.

# semanage fcontext -t user_home_t "/myhome/path(/.*)?"
# restorecon -R -v /myhome

Note You need to log in before you can comment on or make changes to this bug.